Robotsystem from Robot Group Leipzig: NoiseGenerator Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# NoiseGenerator Class Reference

`#include <noisegenerator.h>`

Inheritance diagram for NoiseGenerator:

[legend]
List of all members.

## Detailed Description

Interface and basic class for noise generator.

It is suitable for single noise channels but also multidimensional noise.

Definition at line 65 of file noisegenerator.h.

## Public Member Functions
| NoiseGenerator ()
virtual | ~NoiseGenerator ()
virtual void | init (unsigned int dimension)
| initialization with the the given dimension for multidimensional noise
virtual double | generate (double p1, double p2)=0
| generate somehow distributed random number between parameterized with p1 and p2 valid only for ONE random number, use add(.
virtual void | add (double *value, double p1, double p2)
| adds multidimensional noise to the value field.
## Protected Member Functions
double | uniform (double min=-0.1, double max=0.1)
## Protected Attributes
unsigned int | dimension

## Constructor & Destructor Documentation

NoiseGenerator | ( |  | ) | `[inline]`

| Definition at line 67 of file noisegenerator.h.

virtual ~NoiseGenerator | ( |  | ) | `[inline, virtual]`

| Definition at line 71 of file noisegenerator.h.

## Member Function Documentation

virtual void add | ( | double * | value,
|  | double | p1,
|  | double | p2
| ) | `[inline, virtual]`

  | adds multidimensional noise to the value field. Generic implementation calls generate for each channel. Overload this if you need different behavior. Parameters:
  | value | field where noise is added. Must have length dimension (see init())
  | p1 | first parameter for random number distribution
  | p2 | second parameter for random number distribution
Reimplemented in ColorUniformNoise, ColorNormalNoise, and SineWhiteNoise. Definition at line 93 of file noisegenerator.h.

virtual double generate | ( | double | p1,
|  | double | p2
| ) | `[pure virtual]`

| generate somehow distributed random number between parameterized with p1 and p2 valid only for ONE random number, use add(. ..) for adding this kind of noise to several channels Implemented in WhiteUniformNoise, WhiteNormalNoise, ColorUniformNoise, ColorNormalNoise, and SineWhiteNoise.

virtual void init | ( | unsigned int | dimension | ) | `[inline, virtual]`

| initialization with the the given dimension for multidimensional noise See also: add() Reimplemented in ColorUniformNoise, and ColorNormalNoise. Definition at line 76 of file noisegenerator.h.

double uniform | ( | double | min = `-0.1`,
|  | double | max = `0.1`
| ) | `[inline, protected]`

| Definition at line 101 of file noisegenerator.h.

## Member Data Documentation

unsigned int dimension`[protected]`

| Definition at line 104 of file noisegenerator.h.